perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Philippe M. Chiasson" <go...@ectoplasm.org>
Subject Re: [mp2 patch] lib/ModPerl/DummyVersions.pm
Date Tue, 04 Jan 2005 19:02:46 GMT
Stas Bekman wrote:
> Randy Kobes wrote:
>>On Tue, 4 Jan 2005, Stas Bekman wrote:
>>
>>>As noted the PAUSE indexer can't index any of our
>>>autogenerated files, since they aren't in the distro that
>>>gets uploaded to CPAN. As we really need to get RC3 out
>>>tomorrow, the following temp solution resolves this
>>>problem, by autogenerating lib/ModPerl/DummyVersions.pm
>>>which looks like:
>>
>>[ .. ]
>>
>>>the issues:
>>>
>>>1) I'm not sure APR modules should get their versions as
>>>2.0.0. Should it be 0.9 instead? since Apache 2.0 uses
>>>libapr 0.9.x.
>>
>>+1: that seems to make sense.

-0: Like I said earlier, I am not sure how we can ensure we bump
these 0.9 versions on each new mp2 release.

>>
>>>2) This module will get installed so we should adjust MM rules to ignore
>>>it on make install.
>>
>>+1 for that as well.
> 
> Haven't addressed this issue, yet
> 
>>I'm not sure it matters, but should the version specified in
>>DummyVersions.pm match that which is found in the
>>auto-generated file when things are built (0.01, I believe)?
> 
> I think those should match the mp2 version. So now we get:

I think so too, but maybe the auto-generated files in WrapXS
should also have the current mp2 version instead of 0.01 though.

--------------------------------------------------------------------------------
Philippe M. Chiasson m/gozer\@(apache|cpan|ectoplasm)\.org/ GPG KeyID : 88C3A5A5
http://gozer.ectoplasm.org/     F9BF E0C2 480E 7680 1AE5 3631 CB32 A107 88C3A5A5

Mime
View raw message